def find_Remove_Outliers(input_data, output_Data):
    anomalies = []
    outliersIdx=[]
    threshold=3
    # Set upper and lower limit to 3 standard deviation
    #for idx in range(0,input_data.shape[1]):
    for (columnName,columndata) in inputdata.iteritems():
        random_data_std = np.std(columndata)
        random_data_mean = np.mean(columndata)
    # Generate outliers
        columndata=pd.DataFrame(columndata)
        for (idx, dataSample) in columndata.iterrows():
            z_score= (dataSample.iloc[0] - random_data_mean)/random_data_std
            if np.abs(z_score) > threshold:
                anomalies.append(dataSample.iloc[0])
                outliersIdx.append(idx)
    input_data=input_data.drop(outliersIdx).reset_index(drop=True)
    output_Data=output_Data.drop(outliersIdx).reset_index(drop=True)
    return anomalies,  outliersIdx, input_data,output_Data